Bug 872771 (qextserialport) - Review Request: qextserialport - Qt interface class for old fashioned serial ports
Summary: Review Request: qextserialport - Qt interface class for old fashioned serial ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: qextserialport
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews 872883 872971
TreeView+ depends on / blocked
 
Reported: 2012-11-03 00:28 UTC by Volker Fröhlich
Modified: 2014-12-03 18:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-15 02:26:56 UTC
Type: ---
dan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2012-11-03 00:28:23 UTC
Spec URL: http://www.geofrogger.net/review/qextserialport.spec
SRPM URL: http://www.geofrogger.net/review/qextserialport-1.2-0.1.beta2.fc16.src.rpm

Description:
QextSerialPort provides an interface to old fashioned
serial ports for Qt-based applications.

Fedora Account System Username: volter

http://koji.fedoraproject.org/koji/taskinfo?taskID=4651437

Comment 2 Volker Fröhlich 2012-11-03 10:47:05 UTC
Already submitted patch for QGIS: http://hub.qgis.org/issues/6613

Comment 3 Kevin Kofler 2012-11-03 23:31:24 UTC
Also qlandkartegt:
http://qlandkartegt.svn.sourceforge.net/viewvc/qlandkartegt/QLandkarteGT/trunk/3rdparty/SerialPort/

Volker found a handful other upstream projects which use this, but it looks like only the GIS stuff is already in Fedora.

Comment 4 Dan Horák 2012-11-04 10:32:44 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

BAD     source files match upstream:
            cc9e91f6e1bec987616066902fbf532937b120e5  qextserialport-1.2beta2.tar.gz
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK      license is open source-compatible (MIT). License text included in package.
OK      latest version is being packaged.
OK      BuildRequires are proper.
OK      compiler flags are appropriate.
OK      package builds in mock (Rawhide/x86_64).
OK      debuginfo package looks complete.
OK      rpmlint is silent.
BAD     final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      correct scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      headers in devel subpackage
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

- please use the whole URL for the source archive - http://qextserialport.googlecode.com/files/qextserialport-1.2beta2.tar.gz works here, otherwise a comment is needed
- the devel subpackage should depend on qt4-devel, because %{_qt4_datadir}/mkspecs/features/
    would be unwned otherwise, also it's unusable without qt4-devel
- I prefer trailing slash when whole directory should be included => %{_includedir}/QtExtSerialPort/

Comment 5 Volker Fröhlich 2012-11-04 10:57:23 UTC
Argh, those were stupid mistakes!

Spec URL: http://www.geofrogger.net/review/qextserialport.spec
SRPM URL: http://www.geofrogger.net/review/qextserialport-1.2-0.2.beta2.fc16.src.rpm

Comment 6 Dan Horák 2012-11-04 11:01:32 UTC
all issues are fixed now, APPROVED

Comment 7 Volker Fröhlich 2012-11-04 11:12:54 UTC
New Package SCM Request
=======================
Package Name: qextserialport
Short Description: Qt interface class for old fashioned serial ports
Owners: volter
Branches: f17 f18
InitialCC:

Comment 8 Gwyn Ciesla 2012-11-05 13:08:35 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-11-05 16:30:40 UTC
qextserialport-1.2-0.2.beta2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qextserialport-1.2-0.2.beta2.fc17

Comment 10 Fedora Update System 2012-11-05 16:31:21 UTC
qextserialport-1.2-0.2.beta2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qextserialport-1.2-0.2.beta2.fc18

Comment 11 Fedora Update System 2012-11-05 22:44:56 UTC
qextserialport-1.2-0.2.beta2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2012-11-15 02:27:00 UTC
qextserialport-1.2-0.2.beta2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Dave Johansen 2014-11-15 14:53:42 UTC
Package Change Request
======================
Package Name: qextserialport
New Branches: el6 epel7
Owners: dlj
InitialCC: volter

Comment 14 Gwyn Ciesla 2014-11-17 15:38:21 UTC
Comments from primary maintainers?

Comment 15 Volker Fröhlich 2014-11-17 15:54:17 UTC
That's fine!

Comment 16 Dave Johansen 2014-11-19 01:45:05 UTC
Is there anything else needed before these branches can be created?

Comment 17 Gwyn Ciesla 2014-11-24 20:42:40 UTC
dlj is not in the packager group.

Comment 18 Volker Fröhlich 2014-11-25 22:43:53 UTC
I think the user name should be daveisfera and not dlj. Please correct your request, Dave!

Comment 19 Dave Johansen 2014-11-28 03:59:51 UTC
Yes, my username is daveisfera.
Thanks,
Dave

Comment 20 Gwyn Ciesla 2014-12-01 18:24:39 UTC
Request not yet corrected.

Comment 21 Dave Johansen 2014-12-03 17:28:16 UTC
Here's the correction for comment 13:

Package Change Request
======================
Package Name: qextserialport
New Branches: el6 epel7
Owners: daveisfera
InitialCC: volter

Comment 22 Gwyn Ciesla 2014-12-03 18:34:28 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.